﻿using Syncfusion.DataSource.Extensions;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample
{
    public class Behavior : Behavior<ContentPage>
    {
        SfListView ListView;
        Grid MainGrid;
        ContactsViewModel Viewmodel;
        Button addButton;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            ListView = bindable.FindByName<SfListView>("listView");

            MainGrid = bindable.FindByName<Grid>("MainGrid");
            addButton = bindable.FindByName<Button>("addButton");
            Viewmodel = new ContactsViewModel();
            ListView.BindingContext = Viewmodel;
            ListView.ItemsSource = Viewmodel.contactsinfo;

            addButton.Clicked += AddButton_Clicked;
            base.OnAttachedTo(bindable);
        }

        private void AddButton_Clicked(object sender, EventArgs e)
        {
            Contacts newContact = new Contacts();
            newContact.ContactName = "Jonas";
            Viewmodel.contactsinfo.Add(newContact);
            int newIndex = ListView.DataSource.DisplayItems.IndexOf(newContact);
            ListView.LayoutManager.ScrollToRowIndex(newIndex, true);
        }
    }
}
